package com.bofeng.wx.controller;

import com.bofeng.entity.QzTask;
import com.bofeng.entity.SysUptownHouse;
import com.bofeng.service.QzTaskService;
import com.bofeng.service.RbService;
import com.google.common.collect.Maps;
import com.yvan.Model;
import com.yvan.platform.YvanUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

import java.util.List;
import java.util.Map;

@RestController
public class YeWeiHuiController {

    @Autowired
    private QzTaskService qzTaskService;
    @Autowired
    private RbService rbService;

    @GetMapping("/yeweihui/home.html")
    public ModelAndView yeweihui(ModelMap model) {

        Map<String, Object> queryParam = Maps.newLinkedHashMap();
        queryParam.put("userId", "12345677");
        queryParam.put("statistics", "M");

        List<QzTask> taskList = qzTaskService.selectAll();
        List<SysUptownHouse> rbList = rbService.selectAll();
        model.put("taskList", YvanUtil.toJsonPretty(taskList));
        model.put("rbList", YvanUtil.toJsonPretty(rbList));

        return new ModelAndView("/yeweihui/home.ftl", model);
    }

    @GetMapping("/yeweihui/ribao.html")
    public ModelAndView yeweihuiRibao(ModelMap model) {

        List<QzTask> taskList = qzTaskService.selectAll();

        model.put("taskList", YvanUtil.toJsonPretty(taskList));

        return new ModelAndView("/yeweihui/ribao.ftl", model);
    }

    @GetMapping("/yeweihui/ribaoDy")
    public Model<List<SysUptownHouse>> yeweihuiRibaoDy(String str) {
        String[] split = str.split("&");
        List<SysUptownHouse> rbList = rbService.selectXq(split[0],split[1]);

        return Model.newSuccess(rbList);
    }
}
